package com.odin.pgpool.tests;


import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class Issue231 {
    public void runTest(String hostname, int pgport, String database, String username, String password) throws SQLException, InterruptedException {



        java.sql.DriverManager.setLogWriter(new java.io.PrintWriter(System.out));

        for (int j = 0; j < 100; j++) {

            String url = String.format("jdbc:postgresql://%s:%d/%s?loglevel=2", hostname, pgport, database);

            try (Connection conn = DriverManager.getConnection(url, username, password)) {

                conn.setAutoCommit(false);
                // Note: It is supposed that the database postgres contains table "table".
                try (PreparedStatement stmt = conn.prepareStatement("select * from write_table where id = ? ")) {

                    for (int i = 0; i < 10; i++) {
                        stmt.setInt(1, i);
                        stmt.executeQuery().close();

                        System.out.println(i);
                    }
                }

                conn.commit();


                System.out.println("DONE");
            } catch (SQLException ex) {
                ex.printStackTrace();
                throw ex;
            }
        }
    }
}
